﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 06/02/2019 19:59:22
-- Server version: 5.5.5-10.1.9-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS piezas;

CREATE DATABASE IF NOT EXISTS piezas
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE piezas;

--
-- Create table `spj`
--
CREATE TABLE IF NOT EXISTS spj (
  s varchar(9) NOT NULL,
  p varchar(9) NOT NULL,
  j varchar(9) NOT NULL,
  cant int(10) DEFAULT NULL,
  PRIMARY KEY (s, p, j)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 819,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `jspj` on table `spj`
--
ALTER TABLE spj
ADD INDEX jspj (j);

--
-- Create index `pspj` on table `spj`
--
ALTER TABLE spj
ADD INDEX pspj (p);

--
-- Create index `sspj` on table `spj`
--
ALTER TABLE spj
ADD INDEX sspj (s);

--
-- Create table `s`
--
CREATE TABLE IF NOT EXISTS s (
  s varchar(9) NOT NULL,
  noms varchar(45) DEFAULT NULL,
  estado varchar(45) DEFAULT NULL,
  ciudad varchar(45) DEFAULT NULL,
  PRIMARY KEY (s)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 3276,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `p`
--
CREATE TABLE IF NOT EXISTS p (
  P varchar(9) NOT NULL,
  nomp varchar(45) DEFAULT NULL,
  color varchar(45) DEFAULT NULL,
  peso varchar(45) DEFAULT NULL,
  ciudad varchar(45) DEFAULT NULL,
  PRIMARY KEY (P)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 2730,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `j`
--
CREATE TABLE IF NOT EXISTS j (
  j varchar(9) NOT NULL,
  nomj varchar(45) DEFAULT NULL,
  ciudad varchar(45) DEFAULT NULL,
  PRIMARY KEY (j)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 2340,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

-- 
-- Dumping data for table spj
--
INSERT INTO spj VALUES
('s1', 'p1', 'j1', 200),
('s1', 'p1', 'j4', 200),
('s1', 'p1', 'j5', 700),
('s1', 'p3', 'j2', 20),
('s1', 'p3', 'j3', 30),
('s1', 'p3', 'j4', 40),
('s1', 'p3', 'j5', 50),
('s1', 'p3', 'j6', 400),
('s1', 'p3', 'j7', 70),
('s2', 'p3', 'j1', 400),
('s2', 'p3', 'j2', 200),
('s2', 'p3', 'j3', 200),
('s2', 'p3', 'j4', 500),
('s2', 'p3', 'j5', 600),
('s2', 'p3', 'j7', 800),
('s2', 'p5', 'j2', 100),
('s3', 'p3', 'j1', 200),
('s3', 'p4', 'j2', 500),
('s4', 'p6', 'j3', 300),
('s4', 'p6', 'j7', 300);

-- 
-- Dumping data for table s
--
INSERT INTO s VALUES
('S1', 'Smith', '20', 'Londres'),
('S2', 'Jones', '10', 'París'),
('S3', 'Blake', '30', 'París'),
('S4', 'Clark', '20', 'Londres'),
('S5', 'Adams', '30', 'Atenas');

-- 
-- Dumping data for table p
--
INSERT INTO p VALUES
('P1', 'MESA', 'ROJO', '12', 'LONDRES'),
('P2', 'SILLA', 'BLANCA', '17', 'PARIS'),
('P3', 'ARMARIO', 'GRIS', '17', 'ROMA'),
('P4', 'ARCHIVADOR', 'ROJO', '14', 'LONDRES'),
('P5', 'PUERTA ', 'BLANCA', '12', 'PARIS'),
('P6', 'LAMPARA', 'AMARILLA', '19', 'LONDRES');

-- 
-- Dumping data for table j
--
INSERT INTO j VALUES
('J1', 'Edificio1', 'París'),
('J2', 'Edificio2', 'Roma'),
('J3', 'Edificio3', 'Atenas'),
('J4', 'Edificio4', 'Atenas'),
('J5', 'Edificio5', 'Londres'),
('J6', 'Edificio6', 'Madrid'),
('J7', 'Edificio7', 'Londres');

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;